﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UPVApp
{
    public partial class SelectAddress : Form
    {
        private List<Address> addressList;
        public SelectAddress(List<Address> addresses)
        {
            InitializeComponent();
            addressList = addresses;
        }

        internal int selectedEditIndex
        {
            set
            {
                if ((value >= -1) && (value < addressList.Count))
                    comboBox1.SelectedIndex = value;
                else
                    throw new ArgumentOutOfRangeException("AddressIndex", value,
                        "Index must be valid");
            }
            get
            {
                return comboBox1.SelectedIndex;
            }
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
        }

        private void SelectAddress_Load(object sender, EventArgs e)
        {
            foreach (Address a in addressList)
            {
                comboBox1.Items.Add(a.Name);
            }
        }
    }
}
